> For the complete documentation index, see [llms.txt](https://glu.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glu.gitbook.io/docs/api-reference/organisation-api/balance.md).

# Balance

A balance represents an individual change to the overall balance of a stored credit account, similar to a line on your bank statement.

## List all balances

> Returns a list of balance events across all stored credit accounts. The balance events are ordered by the date they happened, with the most recent first.

```json
{"openapi":"3.2.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Balance","description":"A balance represents an individual change to the overall balance of a stored credit account, similar to a line on your bank statement."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Balance-balance.read":{"type":"object","description":"A balance represents an individual change to the overall balance of a stored credit account, similar to a line on your bank statement.","properties":{"id":{"readOnly":true,"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["Activation","Adjustment","Expired","Redeemed","Unredeemed","Refunded","Refund failed","Chargeback","Chargeback reversed","Reactivation","Topup","Cancelled"]},"amount":{"description":"The balance change in the smallest currency unit.","type":"integer"},"location":{"type":["integer","null"]},"happenedAt":{"type":"string","format":"date-time"},"expiresAt":{"type":["string","null"],"format":"date-time"},"reversed":{"anyOf":[{"$ref":"#/components/schemas/Balance-balance.read"},{"type":"null"}]},"mewsPayment":{"anyOf":[{"$ref":"#/components/schemas/MewsPayment-balance.read"},{"type":"null"}]},"storedCreditAccount":{"type":"integer"}}},"MewsPayment-balance.read":{"type":"object"},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/balances":{"get":{"operationId":"api_balances_get_collection","tags":["Balance"],"responses":{"200":{"description":"Balance collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Balance-balance.read"}}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"List all balances","description":"Returns a list of balance events across all stored credit accounts. The balance events are ordered by the date they happened, with the most recent first.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true},{"name":"createdAt[gt]","in":"query","description":"Balance createdAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"createdAt[gte]","in":"query","description":"Balance createdAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"createdAt[lt]","in":"query","description":"Balance createdAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"createdAt[lte]","in":"query","description":"Balance createdAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"createdAt[ne]","in":"query","description":"Balance createdAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"updatedAt[gt]","in":"query","description":"Balance updatedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"updatedAt[gte]","in":"query","description":"Balance updatedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"updatedAt[lt]","in":"query","description":"Balance updatedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"updatedAt[lte]","in":"query","description":"Balance updatedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"updatedAt[ne]","in":"query","description":"Balance updatedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"happenedAt[gt]","in":"query","description":"Balance happenedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"happenedAt[gte]","in":"query","description":"Balance happenedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"happenedAt[lt]","in":"query","description":"Balance happenedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"happenedAt[lte]","in":"query","description":"Balance happenedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"happenedAt[ne]","in":"query","description":"Balance happenedAt","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"type","in":"query","description":"Balance type","required":false,"deprecated":false,"schema":{"enum":["Activation","Topup","Cancelled","Chargeback","Adjustment","Reactivation","Refunded","Redeemed","Unredeemed","Expired"]},"style":"form","explode":true},{"name":"type[]","in":"query","description":"Balance type","required":false,"deprecated":false,"schema":{"type":"array","items":{"enum":["Activation","Topup","Cancelled","Chargeback","Adjustment","Reactivation","Refunded","Redeemed","Unredeemed","Expired"]}},"style":"deepObject","explode":true},{"name":"amount[gt]","in":"query","description":"Balance amount","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"amount[gte]","in":"query","description":"Balance amount","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"amount[lt]","in":"query","description":"Balance amount","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"amount[lte]","in":"query","description":"Balance amount","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true},{"name":"amount[ne]","in":"query","description":"Balance amount","required":false,"deprecated":false,"schema":{"type":"object","properties":{"gt":{"type":"string"},"gte":{"type":"string"},"lt":{"type":"string"},"lte":{"type":"string"},"ne":{"type":"string"}}},"style":"form","explode":true}]}}}}
```

## Retrieve a balance event

> Retrieve a balance event

```json
{"openapi":"3.2.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Balance","description":"A balance represents an individual change to the overall balance of a stored credit account, similar to a line on your bank statement."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Balance-balance.read":{"type":"object","description":"A balance represents an individual change to the overall balance of a stored credit account, similar to a line on your bank statement.","properties":{"id":{"readOnly":true,"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["Activation","Adjustment","Expired","Redeemed","Unredeemed","Refunded","Refund failed","Chargeback","Chargeback reversed","Reactivation","Topup","Cancelled"]},"amount":{"description":"The balance change in the smallest currency unit.","type":"integer"},"location":{"type":["integer","null"]},"happenedAt":{"type":"string","format":"date-time"},"expiresAt":{"type":["string","null"],"format":"date-time"},"reversed":{"anyOf":[{"$ref":"#/components/schemas/Balance-balance.read"},{"type":"null"}]},"mewsPayment":{"anyOf":[{"$ref":"#/components/schemas/MewsPayment-balance.read"},{"type":"null"}]},"storedCreditAccount":{"type":"integer"}}},"MewsPayment-balance.read":{"type":"object"},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/balances/{id}":{"get":{"operationId":"api_balances_id_get","tags":["Balance"],"responses":{"200":{"description":"Balance resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Balance-balance.read"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieve a balance event","description":"Retrieve a balance event","parameters":[{"name":"id","in":"path","description":"Balance identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}}}}
```

## Reverse a balance event

> Reverses a balance event by creating an offsetting balance entry. Only certain balance types (Adjustment, Redeemed, Unredeemed, Expired) can be reversed. A balance that has already been reversed cannot be reversed again.

```json
{"openapi":"3.2.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Balance","description":"A balance represents an individual change to the overall balance of a stored credit account, similar to a line on your bank statement."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/balances/{id}":{"delete":{"operationId":"api_balances_id_delete","tags":["Balance"],"responses":{"200":{"description":"Balance resource deleted"},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Reverse a balance event","description":"Reverses a balance event by creating an offsetting balance entry. Only certain balance types (Adjustment, Redeemed, Unredeemed, Expired) can be reversed. A balance that has already been reversed cannot be reversed again.","parameters":[{"name":"id","in":"path","description":"Balance identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}}}}
```
